View Issue Details

IDProjectCategoryView StatusLast Update
0001031Far ManagerViewerpublic2011-04-23 04:08
Reporterigor_yudincevAssigned Toalexy 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001031: Некорректный перенос длинных строк
DescriptionВ редакторе, если включены опции «перенос длинных строк» и «перенос по границам слов», иногда слова, не умещающиеся в ширину экрана, переносятся на следующую строку с отрезанным началом (так, как если бы опция «перенос по границам слов» была выключена), см. скриншот.
Additional InformationFar Manager, version 2.0 (build 1100) x86
TagsNo tags attached.
Build1958

Activities

igor_yudincev

2009-09-01 19:57

reporter  

wrap8.png (10,476 bytes)
wrap8.png (10,476 bytes)

igor_yudincev

2009-09-03 20:24

reporter   bugnote:0004007

> В редакторе
*во вьювере, конечно.

igor_yudincev

2009-10-17 19:07

reporter   bugnote:0004255

баг больше не воспроизводится.

DrKnS

2009-10-18 10:51

administrator   bugnote:0004256

у меня воспроизводится.

igor_yudincev

2009-11-16 16:07

reporter   bugnote:0004545

да, снова заметил. Баг проявляется, если прокручивать файл построчно вверх.

2useven10

2011-03-27 11:54

developer   bugnote:0006571

если у кого-то ещё воспроизводится - файл и кнопконажимания в студию...

DrKnS

2011-03-27 12:24

administrator   bugnote:0006573

Любой тескстовый файл (хоть changelog от far), word wrap, несколько раз PgDn, несколько раз Up.

2useven10

2011-03-27 13:17

developer   bugnote:0006576

есть такое дело... постараюсь сегодня посмотреть

2useven10

2011-03-30 12:09

developer  

far3-changes.7z (30,263 bytes)

2useven10

2011-03-30 12:12

developer   bugnote:0006638

народ безмолвствет...
об ошибках не пишут - выкладываю патч.
это все последние изменения вьювера, не тодько 1031

2useven10

2011-03-30 21:30

developer   bugnote:0006646

Last edited: 2011-03-30 22:45

View 2 revisions

комитить пока не надо.
сам немного потестил - сыровато.
а если кто-то попробует, и сообщит о рез-тах - было бы хорошо...

2useven10

2011-03-31 18:54

developer  

far3-changes-2.7z (31,498 bytes)

2useven10

2011-03-31 18:54

developer   bugnote:0006650

обновил версию...

2useven10

2011-04-01 18:33

developer   bugnote:0006656

... те ошибки, которые нашел - поправил. Но т.к. попутно занялся оптимизацией (не удержался, к сожалению) - вполне возможно появление новых. На данный момент сабжем я активно заниматься не смогу. Не более часа 1 часа по вечерам - этого хватит только на исправление ошибок, если их кто-то найдет...

2useven10

2011-04-01 18:40

developer  

far3-changes-3.7z (41,033 bytes)

alexy

2011-04-15 04:37

administrator   bugnote:0006792

1958

Issue History

Date Modified Username Field Change
2009-09-01 19:57 igor_yudincev New Issue
2009-09-01 19:57 igor_yudincev File Added: wrap8.png
2009-09-03 20:24 igor_yudincev Note Added: 0004007
2009-10-17 19:07 igor_yudincev Note Added: 0004255
2009-10-17 19:07 igor_yudincev Status new => resolved
2009-10-17 19:07 igor_yudincev Resolution open => fixed
2009-10-17 19:07 igor_yudincev Assigned To => igor_yudincev
2009-10-17 19:07 igor_yudincev Assigned To igor_yudincev =>
2009-10-17 19:42 alexy Build => 1170
2009-10-17 19:42 alexy Status resolved => closed
2009-10-17 19:42 alexy Fixed in Version => 2.0
2009-10-18 10:51 DrKnS Note Added: 0004256
2009-10-18 10:51 DrKnS Status closed => new
2009-11-16 16:07 igor_yudincev Note Added: 0004545
2011-03-27 11:54 2useven10 Note Added: 0006571
2011-03-27 12:24 DrKnS Note Added: 0006573
2011-03-27 13:17 2useven10 Note Added: 0006576
2011-03-30 12:09 2useven10 File Added: far3-changes.7z
2011-03-30 12:12 2useven10 Note Added: 0006638
2011-03-30 13:07 alexy Assigned To => alexy
2011-03-30 13:07 alexy Status new => assigned
2011-03-30 21:30 2useven10 Note Added: 0006646
2011-03-30 22:45 2useven10 Note Edited: 0006646 View Revisions
2011-03-31 18:54 2useven10 File Added: far3-changes-2.7z
2011-03-31 18:54 2useven10 Note Added: 0006650
2011-04-01 18:33 2useven10 Note Added: 0006656
2011-04-01 18:40 2useven10 File Added: far3-changes-3.7z
2011-04-15 04:37 alexy Note Added: 0006792
2011-04-15 04:37 alexy Status assigned => feedback
2011-04-23 04:08 alexy Build 1170 => 1958
2011-04-23 04:08 alexy Status feedback => closed
2011-04-23 04:08 alexy Fixed in Version 2.0 => 3.0